/*
   Doom Editor Utility, by Brendon Wyber and Raphal Quinet.

   If you use any part of this code in one of your programs,
   please make it clear that you borrowed it from here...

   THINGS.H - Doom thing type defines.
*/

/* starting areas */
#define THING_PLAYER1         1
#define THING_PLAYER2         2
#define THING_PLAYER3         3
#define THING_PLAYER4         4
#define THING_DEATHMATCH      11

/* enhancements */
#define THING_BLUECARD        5
#define THING_YELLOWCARD      6
#define THING_REDCARD         13
#define THING_ARMBONUS1       2015
#define THING_HLTBONUS1       2014
#define THING_GREENARMOR      2018
#define THING_BLUEARMOR       2019
#define THING_STIMPACK        2011
#define THING_MEDKIT          2012
#define THING_SOULSPHERE      2013
#define THING_RADSUIT         2025
#define THING_MAP             2026
#define THING_BLURSPHERE      2024
#define THING_BESERK          2023
#define THING_INVULN          2022
#define THING_LITEAMP         2045

/* weapons */
#define THING_SHOTGUN         2001
#define THING_CHAINGUN        2002
#define THING_LAUNCHER        2003
#define THING_PLASMAGUN       2004
#define THING_CHAINSAW        2005
#define THING_BFG9000         2006
#define THING_AMMOCLIP        2007
#define THING_AMMOBOX         2048
#define THING_SHELLS          2008
#define THING_SHELLBOX        2049
#define THING_ROCKET          2010
#define THING_ROCKETBOX       2046
#define THING_ENERGYCELL      2047
#define THING_ENERGYPACK      17
#define THING_BACKPACK        8

/* enemies */
#define THING_SARGEANT        9
#define THING_TROOPER         3004
#define THING_IMP             3001
#define THING_DEMON           3002
#define THING_BARON           3003
#define THING_SPECTOR         58
#define THING_COCADEMON       3005
#define THING_LOSTSOUL        3006
#define THING_SPIDERBOSS      7
#define THING_CYBERDEMON      16

/* decorations */
#define THING_BARREL          2035
#define THING_LAMP            2028
#define THING_CANDLE          34
#define THING_CANDLESTICK     35
#define THING_TORCH           46
#define THING_TECHCOLUMN      48
#define THING_BONES           10
#define THING_BONES2          12
#define THING_DEADBUDDY       15
#define THING_POOLOFBLOOD     24

/* not sure about this one */
#define THING_TELEPORT        14

/* end of file */
